javax.swing.plaf.metal

## Class MetalBorders.TextFieldBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.metal.MetalBorders.Flush3DBorder
    - - javax.swing.plaf.metal.MetalBorders.TextFieldBorder

- All Implemented Interfaces:
    Serializable, Border, UIResource
  Enclosing class:
    MetalBorders

      public static class MetalBorders.TextFieldBorder
      extends MetalBorders.Flush3DBorder

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextFieldBorder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `paintBorder(Component c, Graphics g, int x, int y, int w, int h)` | This default implementation does no painting.

    - ### Methods inherited from class javax.swing.plaf.metal.MetalBorders.Flush3DBorder

      `getBorderInsets`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextFieldBorder

          public TextFieldBorder()

  - ### Method Detail

    - #### paintBorder

          public void paintBorder(Component c,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int w,
                                  int h)

      Description copied from class: `AbstractBorder`
      This default implementation does no painting.
      Specified by:
        `paintBorder` in interface `Border`
      Overrides:
        `paintBorder` in class `MetalBorders.Flush3DBorder`
      Parameters:
        `c` - the component for which this border is being painted
        `g` - the paint graphics
        `x` - the x position of the painted border
        `y` - the y position of the painted border
        `w` - the width of the painted border
        `h` - the height of the painted border

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.